source: trunk/dports/lang/ocaml/files/patch-configure-cvs @ 8465

Last change on this file since 8465 was 8465, checked in by pguyot (Paul Guyot), 15 years ago

forgot this file.

Bug:
Submitted by:
Reviewed by:
Approved by:
Obtained from:

  • Property svn:eol-style set to native
File size: 3.0 KB
Line 
1--- configure.orig      Fri Aug 27 04:46:09 2004
2+++ configure   Mon Sep 27 18:00:06 2004
3@@ -20,6 +20,7 @@
4 bindir=''
5 libdir=''
6 mandir=''
7+destroot=''
8 manext=1
9 host_type=unknown
10 ccoption=''
11@@ -59,6 +60,8 @@
12         bindir=$2; shift;;
13     -libdir|--libdir)
14         libdir=$2; shift;;
15+    -destroot|--destroot)
16+        destroot=$2; shift;;
17     -mandir|--mandir)
18         case "$2" in
19           */man[1-9ln])
20@@ -124,6 +127,11 @@
21   "") ;;
22    *) echo "The -libdir directory must be absolute." 1>&2; exit 2;;
23 esac
24+case "$destroot" in
25+  /*) ;;
26+  "") ;;
27+   *) echo "The -destroot directory must be absolute." 1>&2; exit 2;;
28+esac
29 case "$mandir" in
30   /*) ;;
31   "") ;;
32@@ -143,6 +151,11 @@
33 # Where to install
34 
35 echo "PREFIX=$prefix" >> Makefile
36+case "$destroot" in
37+  "") echo 'DESTROOT=' >> Makefile
38+      destroot="";;
39+   *) echo "DESTROOT=$destroot" >> Makefile;;
40+esac
41 case "$bindir" in
42   "") echo 'BINDIR=$(PREFIX)/bin' >> Makefile
43       bindir="$prefix/bin";;
44@@ -1322,6 +1335,10 @@
45     tk_defs="$tk_incs"
46     tcl_version=`sh ./runtest $tk_defs $tk_x11_include tclversion.c`
47   fi; done
48+  if test -z "$tcl_version"; then
49+    tk_defs="-I/opt/local/include -I/System/Library/Frameworks/Tcl.framework/Versions/8.4/Headers/"
50+    tcl_version=`sh ./runtest $tk_defs $tk_x11_include tclversion.c`
51+  fi
52   if test -n "$tcl_version" && test "x$tcl_version" != "xnone"; then
53     echo "tcl.h and tk.h version $tcl_version found with \"$tk_defs\"."
54     case $tcl_version in
55@@ -1363,6 +1380,9 @@
56   elif sh ./hasgot -L/sw/lib $tk_libs -ltcl$tclmaj.$tclmin $tkauxlibs \
57                    Tcl_DoOneEvent
58   then tk_libs="-L/sw/lib -ltk$tkmaj.$tkmin -ltcl$tclmaj.$tclmin $dllib"
59+  elif sh ./hasgot -L/opt/local/lib $tk_libs -ltcl$tclmaj.$tclmin $tkauxlibs \
60+                   Tcl_DoOneEvent
61+  then tk_libs="-L/opt/local/lib -ltk$tkmaj.$tkmin -ltcl$tclmaj.$tclmin $dllib"
62   else
63     echo "Tcl library not found."
64     has_tk=false
65@@ -1374,6 +1394,9 @@
66   elif sh ./hasgot -L/sw/lib $tk_libs $tk_x11_libs $tkauxlibs Tk_SetGrid; then
67     tk_libs="-L/sw/lib $tk_libs"
68     echo "Tcl/Tk libraries found."
69+  elif sh ./hasgot -L/opt/local/lib $tk_libs $tk_x11_libs $tkauxlibs Tk_SetGrid; then
70+    tk_libs="-L/opt/local/lib $tk_libs"
71+    echo "Tcl/Tk libraries found."
72   else
73     echo "Tcl library found."
74     echo "Tk library not found."
75@@ -1397,7 +1420,7 @@
76 # Begin Camlp4
77 (
78 cd ../../camlp4/config
79-EXE=$exe ./configure_batch -prefix "$prefix" -bindir "$bindir" -libdir "$libdir" -mandir "$mandir" -ocaml-top ../.. > /dev/null
80+EXE=$exe ./configure_batch -prefix "$prefix" -bindir "$bindir" -libdir "$libdir" -mandir "$mandir" -destroot "$destroot" -ocaml-top ../.. > /dev/null
81 )
82 
83 case $? in
84@@ -1463,6 +1486,10 @@
85 echo "        binaries.................. $bindir"
86 echo "        standard library.......... $libdir"
87 echo "        manual pages.............. $mandir (with extension .$manext)"
88+
89+if test -n "$destroot"; then
90+echo "Destroot ......................... $destroot"
91+fi
92 
93 echo "Configuration for the bytecode compiler:"
94 echo "        C compiler used........... $bytecc"
Note: See TracBrowser for help on using the repository browser.